/***************************************************************************
                          cxfersharelist.h  -  description
                             -------------------
    begin                : Fri Mar 05 2005
    copyright            : (C) 2005 by Mathias Kster
    email                : mathen@users.berlios.de
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef CXFERSHARELIST_H
#define CXFERSHARELIST_H

/**
  *@author Mathias Kster
  */

#include <dclib/dcos.h>
#include <dclib/dcobject.h>
#include <dclib/core/cthread.h>
#include <dclib/core/cobject.h>
#include <dclib/core/cstring.h>
#include <dclib/core/cstringlist.h>

class CTransfer;

class DLL_EXPORT CXFERShareList : public CObject {
public:
	/** */
	CXFERShareList();
	/** */
	virtual ~CXFERShareList();

	/** */
	bool AddList( CTransfer * xfer );
private:
	/** */
	CThreadStringList m_pXFERShareList;

	/** */
	bool CheckFile( CString filename, CString nick, CString hubhost );
};

#endif
