/***************************************************************************
                       cxferusrslot.h  -  description
                             -------------------
    begin                : Sat Feb 19 2005
    copyright            : (C) 2005 by Mathias Kster
    email                : mathen@users.berlios.de
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef CXFERUSRSLOT_H
#define CXFERUSRSLOT_H

/**
  *@author Mathias Kster
  */

#include <dclib/dcos.h>
#include <dclib/core/cobject.h>
#include <dclib/core/cstring.h>
#include <dclib/core/clist.h>

class  DLL_EXPORT CUsrSlot : public CObject {
public:
	/** */
	CUsrSlot() {};
	/** */
	virtual ~CUsrSlot() {};
	/** */
	CString m_sNick;
	/** */
	CString m_sHubHost;
	/** */
	int m_nSlot;
	/** */
	bool m_bPerm;
};

class DLL_EXPORT CXFERUsrSlot : public CObject {
public: 
	/** */
	CXFERUsrSlot();
	/** */
	virtual ~CXFERUsrSlot();

	/** add a extra slot to the user */
	void Add( CString nick, CString hubhost, int slot, bool perm = FALSE );
	/** */
	bool Remove( CString nick, CString hubhost );
	/** */
	void SendSlotInfo( CUsrSlot * us );

private:
	/** */
	CThreadList<CUsrSlot> *m_pSlotList;
};

#endif
