/***************************************************************************
                       cxferusrban.h  -  description
                             -------------------
    begin                : Sat Feb 19 2005
    copyright            : (C) 2005 by Mathias Kster
    email                : mathen@users.berlios.de
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef CXFERUSRBAN_H
#define CXFERUSRBAN_H

/**
  *@author Mathias Kster
  */

#include <dclib/dcos.h>
#include <dclib/core/cobject.h>
#include <dclib/core/cstring.h>
#include <dclib/core/clist.h>

class DLL_EXPORT CUsrBan : public CObject {
public:
	/** */
	CUsrBan() {
		m_nReqCnt = 0;
		m_tTime   = 0;
	};
	/** */
	virtual ~CUsrBan() {};

	/** */
	CString m_sNick;
	/** */
	CString m_sHost;
	/** */
	unsigned int m_nReqCnt;
	/** */
	time_t m_tTime;
};

class DLL_EXPORT CXFERUsrBan : public CObject {
public: 
	/** */
	CXFERUsrBan();
	/** */
	virtual ~CXFERUsrBan();

	/** */
	bool Check( CString nick, CString host );
	/** */
	void Update( time_t ttimeout );

private:
	/** */
	CThreadList<CUsrBan> *m_pBanList;
};

#endif
